;======================== header ===============================================
;+
; NAME: 
;   cactus_click_map
;    
; PURPOSE:
;
; CATEGORY:
;   cactus 
; INPUTS:
; 
; KEYWORD PARAMETERS:
;            
; CALLS:
;   cactus_cme_ID
;
; COMMON BLOCKS: 
;   none
;
; MODIFICATION HISTORY:
;   2007/07/20, created, Sheng and E. Robbrecht
;   2007/12/10, ER, introduce !cactus for defining directories, all programs now in same directory
;   2007/12/14, ER, myname from scope_traceback and cactus_loginfo routine introduced 
;   2008/01/03, ER, cactus_preamble introduced
;   2008/01/09, ER, cactus_preamble removed
;-
;======================== end header ===========================================
PRO cactus_click_map, iu, cmemap, cmecat, log=log

;-----------------------main code--------------------------
 
 sz=size(cmemap,/dim)
 xdim=sz[0] & ydim=sz[1]

; find sorted indices
  n_event=n_elements(cmecat)-1
  indices=intarr(n_event+1)
  for i=1,n_event do begin
    z=where(cmemap eq i,nz)
    indices[i]=nz
  endfor
  sortedIndex=sort(indices)

; print the image map with links 
for i=1,n_event do begin
  map=cmemap*0 
  z=where(cmemap eq sortedIndex[i],n)
  map[z]=1
  map=label_region(map,/all_neighbors)  ;this step is needed to split the rectangle when the CME itself is 'split', i.e. connected over the occulter
  cmeindex=cmecat[sortedIndex[i]]
  cactus_cme_ID, cmeindex, ID, yyyy,mm,dd,ho,mi,se,thisdir
  link=thisdir+'CME.html'
  printf, log, 'find coordinates for ', cmeindex.type, cmeindex.nr
  ; check if the cme is split, maximum value of map = number of CME parts
  n_region=max(map)
  FOR r=1,n_region DO BEGIN
     z=where(map eq r)
     y=z/xdim & x=2*(z-y*xdim) ; *2 to correct for xdimension of detectionmap (360 instead of 180)
     x=minmax(x) & y=minmax(y) ; define the rectangle
     htmlcoords=strtrim(x[0],2)+','+strtrim(ydim+22-y[0],2)+', '+strtrim(x[1],2)+','+strtrim(ydim+22-y[1],2)
     printf, iu, '<area shape="rect" coords="'+htmlcoords+'" href="'+link +'" target="_blank" alt="" />'
  ENDFOR

endfor
END
