;======================== header ===============================================
;+
; NAME: 
;   cactus_cme_html 
;    
; PURPOSE:
;   Produces an html-page per CME  
; CATEGORY:
;   cactus 
; CALLING SEQUENCE:
;   (meant to be used in batchmode)
; INPUTS:
;   
; 
; KEYWORD PARAMETERS:
;   /logfile: to print diagnostics to a logfile (default=stdout=screen)
;
; OUTPUTS:
;
; COMMON BLOCKS: 
;   none
;
; CALLS:
;   cactus_infoline.pro
;
; MODIFICATION HISTORY:
;   2005/11/30, ER, New in version 2.1.0; this makes the html-page per CME (extracted from out.pro)
;   2006/02/14, ER, add link to latest CME overview page + link to cactus-homepage
;   --------------- version 2.1.0 -------------------------------------------
;   2007/08/07, ER&Sheng, make cme movies with ffmpeg, no java applet anymore
;   --------------- version 2.2.0 -------------------------------------------		         
;   2007/12/10, ER, introduce !cactus for defining directories, all programs now in same directory
;   2007/12/14, ER, myname from scope_traceback and cactus_loginfo routine introduced 
;   2008/01/03, ER, cactus_preamble introduced
;   2008/01/09, ER, cactus_preamble removed
;-
;======================== end header ===========================================
PRO cactus_cme_html, thiscme,header_line,cmedir

; ------------------------main code ------------------------------------

   CME_name=thiscme.type+STRNR(thiscme.nr)	
   openw,iu, cmedir+'CME.html', /get_lun  ; iu stands for indexunit
   printf, iu, '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">'
   printf, iu, '<html xmlns="http://www.w3.org/1999/xhtml">'
   printf, iu, '<head>'
   printf, iu, '<meta http-equiv="content-type" content="text/html; charset=utf-8" />'
   printf, iu, '<title>CACTUS CME Details</title>'
   printf, iu, '<meta name="keywords" content="CACTus, CME" />'
   printf, iu, '<meta name="description" content="" />'
   printf, iu, '<link href="../../styles.css" rel="stylesheet" type="text/css" />'
   printf, iu, '<script type="text/javascript" src="../insertMov.js"></script>'
   printf, iu, '</head>'
   printf, iu, '<body>'
   printf, iu, '<div id="header">'
   printf, iu, '  <div id="logo">'
   printf, iu, '    <a href="http://www.sidc.be/cactus"><img src="../../cactus.jpg" alt="logo" class="logo"/></a>'
   printf, iu, '    <h1>CACTUS</h1>'
   printf, iu, "    <h2>A software package for 'Computer Aided CME Tracking'</h2>"
   printf, iu, '  </div>'
   printf, iu, '</div>'
   printf, iu, '<div id="page">  <!-- Page Begin -->'
   printf, iu, '  <div id="content">  <!-- Content Begin -->'
   printf, iu, '    <div class="twocols">  <!-- Two Cols Begin -->'
   printf, iu, '     <hr />'
   printf, iu, '     <h1 class="title">Details and graphs for '+CME_name+'</h1>'
   printf, iu, '     <div class="preElement">'
   printf, iu, header_line
   printf, iu, cactus_infoline(thiscme)
   printf, iu, '     </div>'
   printf, iu, '     <div class="col1">'
   printf, iu, '       <h3 class="title">CME Movie :: <a href="CME.mov">Download</a> :: </h3>'
   printf, iu, '       <p><script type="text/javascript">InsertMov("CME.mov","256","272");</script></p>'
   printf, iu, '    </div> <!-- Col 1 End -->'
   printf, iu, '    <div class="col2">'
   printf, iu, '       <h3 class="title">Sample Image</h3>'
   printf, iu, '       <p><img src="CME.jpeg" alt="CME" /></p>'
   printf, iu, '    </div> <!-- Col 2 End-->'
   printf, iu, '   </div> <!-- Two Cols End -->'
   printf, iu, '   <div style="clear: both;"></div>'
   printf, iu, '   <p><img src="speed.png" alt="Speed" /></p>'
   printf, iu, '   <p><a href="../latestCMEs.html"><strong>Latest CME detections overview page</strong></a></p>'
   printf, iu, '<hr />'
   printf, iu, '   </div> <!-- Content End -->'
   printf, iu, '</div> <!-- Page End-->'
   ;printf, iu, '<!-- Footer Begin -->'
   ;printf, iu, '<div id="footer">'
   ;printf, iu, '<p>'
   ;printf, iu, '<a href="http://validator.w3.org/check?uri=referer"><img src="http://www.w3.org/Icons/valid-xhtml10" alt="Valid XHTML 1.0 Strict" height="31" width="88" class="right" /></a></p>'
   ;printf, iu, '</div>'
   ;printf, iu, '<!-- Footer End -->'
   printf, iu, '</body>'
   printf, iu, '</html>'
   
   close, iu
   free_lun, iu
   
END
