;======================== header ===============================================
;+
; NAME: cactus_cme_id
;    
; PURPOSE:
;   This function reads the indicated cmecat structure line and gives 
;   the ID number and date and time info in separate strings
;
; OUTPUTS:
;   strings: ID,yyyy,mm,dd,ho,mi,se,dir  
;
; CALLS:
;   
; MODIFICATION HISTORY:
;   2006/03/01, ER,  Created
;   2007/12/10, ER, introduce !cactus for defining directories, all programs now in same directory
;   2007/12/14, ER, myname from scope_traceback and cactus_loginfo routine introduced 
;   2008/01/03, ER, cactus_preamble introduced
;   2008/01/09, ER, cactus_preamble removed
;   2008/01/09, ER, path_sep() instead of '/'
;-
;======================== end header ===========================================
PRO cactus_cme_id, thiscme, ID,yyyy,mm,dd,ho,mi,se,thisdir

; ------------------------main code ------------------------------------
  yyyy=strmid(thiscme.date,0,4)
  mm=strmid(thiscme.date,5,2)
  dd=strmid(thiscme.date,8,2)
  
  ho=strmid(thiscme.time,0,2)
  mi=strmid(thiscme.time,3,2)
  se=strmid(thiscme.time,6,2)
  
  
  ID=yyyy+mm+dd+'_'+ho+mi+se 
  ;thisdir=yyyy+path_sep()+mm+path_sep()+thiscme.type+STRNR(thiscme.nr)+path_sep() 	;cmedir=outdir+dir, outdir is externally defined
  thisdir=thiscme.type+STRNR(thiscme.nr)+path_sep() ; version 2.1.0			;cmedir=outdir+dir, outdir is externally defined
 
END  

