; PRUPOSE:
;  allow calculating SOHO roll angle for multiple dates
;
;
; MODIFICATION HISTORY:
;   2009/06/01, ER, Created
;   2009/10/29, ER, add keyword pylon as output parameter, this will contain the angle (measured from solar north) where the pylon is
;-
;======================== end header ===========================================
FUNCTION cactus_get_sc_roll, index,pylon=pylon
;parameter obsrvtry is ignored, this is to make it look the same as get_stereo_roll

obsrvtry=index[0].obsrvtry
date=index.date_obs+'T'+index.time_obs

IF obsrvtry eq 'SOHO' THEN BEGIN
      	N=n_elements(date)
  	roll=fltarr(N)
  	for i=0,N-1 do roll[i]=get_soho_roll(date[i]) 
ENDIF ELSE roll=get_stereo_roll(date, obsrvtry)
  
case obsrvtry of
	 'SOHO'     : p0=235-90 ;235 = !cactusfov.edge (this is measured from mathematical theta=0, that's why we subtract 90 degrees)
	 'STEREO_A' : p0=315
	 'STEREO_B' : p0=45
endcase

pylon = (p0-roll+360) MOD 360
return, roll


END
