;======================== header ===============================================
;+
; NAME: 
;   cactus_line_on_array
;    
; PURPOSE:
;
; CATEGORY:
;   cactus 
; INPUTS:
; 
; KEYWORD PARAMETERS:
;          
; OUTPUTS:
;
; COMMON BLOCKS: 
;   none
;
; CALLS:
;
; MODIFICATION HISTORY:
;   2002/08/01, ver 1.00, David Berghmans
;   2007/12/10, ER, introduce !cactus for defining directories, all programs now in same directory
;   2007/12/14, ER, myname from scope_traceback and cactus_loginfo routine introduced 
;   2008/01/03, ER, cactus_preamble introduced
;   2008/01/09, ER, cactus_preamble removed
;-
;======================== end header ===========================================
PRO cactus_line_on_array, array, startx,starty, endx,endy, value 

 ;-----------------------main code--------------------------

   sz=size(array)
   npixelx=sz[1]
   npixely=sz[2]

   xdiff=float(endx-startx)
   ydiff=float(endy-starty)
   
   distance=sqrt(xdiff^2+ydiff^2)
   
   IF (xdiff NE 0) THEN BEGIN
      indices=indgen(distance+1)
      xpos= startx +  indices*xdiff/distance
      ypos= starty +  indices*ydiff/distance
    ENDIF ELSE BEGIN
       xpos = replicate(startx, distance)
       ypos = starty+ indgen(distance)
    ENDELSE     
   
   xpos=ROUND(xpos > 0 < (npixelx-1))
   ypos=ROUND(ypos > 0 < (npixely-1))
   
   for i=0, distance-1 do array[xpos[i],ypos[i]]=value

END
