;======================== header ===============================================
;+
; NAME:
;  CACTUS_LOGINFO
; PURPOSE:
;   This routine defines, opens and closes the no_logfile 
;
; CATEGORY:
;   CACTUS 
;
; INPUTS:
;   myname
; KEYWORD PARAMETERS:
;   /
; OUTPUTS:
;  log
; COMMON BLOCKS: 
;
; CALLS:
;
; MODIFICATION HISTORY:
;   2007/12/09, ER, created
;   2007/12/10, ER, introduce !cactus for defining directories, all programs now in same directory
;   2007/12/14, ER, myname from scope_traceback and cactus_loginfo routine introduced 
;   2008/01/03, ER, cactus_preamble introduced
;   2008/01/09, ER, maindir=maindir added
;   2008/03/12, ER, maindir keyword removed, only needed in cactus_settings now
;-
;======================== end header ===========================================
PRO CACTUS_LOGINFO, myname, no_logfile=no_logfile, log, open=open, close=close
  
  cactus_preamble, dir

  IF KEYWORD_SET(open) THEN BEGIN
 	mylogfile=dir.log+myname+'.log'
 	; if logfile keyword is set, open the logfile, if not send to screen: 
   	IF NOT keyword_set(no_logfile) 	THEN openw, log, mylogfile, /get_lun , /append $
        	                	ELSE log=-1
 	; say hello
   	printf, log, ' >>>> '+myname+'.pro started at '+ systime(/UTC)+' UTC'
  ENDIF


  IF KEYWORD_SET(close) THEN BEGIN
  	; say goodbye
     	printf, log, ' <<<< '+myname+'.pro finished at '+ systime(/UTC)+' UTC'
	printf, log, ' '
    	; close log file if needed   
    	IF NOT keyword_set(no_logfile) THEN BEGIN
       		close, log
       		free_lun, log
    	ENDIF   
  ENDIF			   
 
END  
 
