;======================== header ===============================================
;+
; NAME:
;   cactus_morph_close
; PURPOSE:
;   performs the morphological closing without edgeeffects, by adding
;   an extra border.
; CATEGORY:
;   cactus 
; INPUTS:
;   data:   The array with the data
;   structure:      The structure element   
;
; KEYWORD PARAMETERS:
;   
; OUTPUTS:
;   An array with the morphological closing of the given array  
; 
; COMMON BLOCKS:
;   none;
; CALLS:
; TO DO:
;
; MODIFICATION HISTORY:
;   2010/08/27, ver 1.00, Bram Bourgoignie
;-
;======================== end header ===========================================
FUNCTION cactus_morph_close, data, structure
  extra_spacing_x = (size(structure))[1]/2+1
  IF ((size(structure))[0] GT 1) THEN BEGIN
     extra_spacing_y = (size(structure))[2]/2+1
  ENDIF ELSE extra_spacing_y = 0
  tempdata = replicate(data[0],$
                       (size(data))[1]+2*extra_spacing_x,$
                       (size(data))[2]+2*extra_spacing_y)*0
  tempdata[extra_spacing_x:extra_spacing_x+(size(data))[1]-1,$
           extra_spacing_y:extra_spacing_Y+(size(data))[2]-1]=data

  tempdata = morph_close(tempdata,structure)
  RETURN, tempdata[extra_spacing_x:extra_spacing_x+(size(data))[1]-1,$
                   extra_spacing_y:extra_spacing_Y+(size(data))[2]-1]
END
