; NAME: cactus_to_archive.pro
; PURPOSE:
;  
;    Move present output of cactus to the archive
;  
; SAMPLE CALLING SEQUENCE:
;   cactus_to_archive,dir=dir,archive=archive
; INPUT:
;   dir ; directory to search for cactus output 
;   archive ; directory to archive output
;   overwrite ; overwrite existing archive
; OUTPUT:
;    
; REQUIREMENTS:
;   
; HISTORY:
;   Jun 17 2008 -- 10:32 by JMK - Added Libary info
; NOTE: 
;    
;-
PRO cactus_to_archive,dir=dir,archive=archive,overwrite=overwrite
if not keyword_set(dir) then dir=!cactus.out
if not keyword_set(archive) then archive=dir+path_sep()+'..'+path_sep()+'archive'+path_sep()

listfile=dir+path_sep()+'*list.txt'
if not file_exist(listfile) then begin
   print,'Searching for : ',listfile
   print,'No files found to move to archive'
   goto,NOFILES
endif

list=rd_ascii(listfile[0])

line=list[0]
yy=strmid(line,strpos(line,'"')+1,4)
mm=strmid(line,strpos(line,'"')+6,2)
dd=strmid(line,strpos(line,'"')+9,2)

outdir=archive
outdir=outdir+yy+mm+dd

line=list[n_elements(list)-1]
yy=strmid(line,strpos(line,'"')+1,4)
mm=strmid(line,strpos(line,'"')+6,2)
dd=strmid(line,strpos(line,'"')+9,2)

outdir=outdir+'_'+yy+mm+dd


if file_exist(outdir) and keyword_set(overwrite) then file_delete,outdir,/recursive

icount=0
final_outdir=outdir
while file_exist(final_outdir) do begin ; if not identical add counter
   icount++
   final_outdir=outdir+'_'+strtrim(icount,2)
endwhile


print,'Copying out dir to : ',final_outdir
file_copy,dir,final_outdir,/recur

NOFILES:
end
