;======================== header ===============================================
;+
; NAME: db_color 
;
; PURPOSE:
;   This function defines the colors used by cactus
;
; INPUTS: 
;	
;
; MODIFICATION HISTORY:
;    2006/02/27, D. Berghmans, Created
;    2007/12/19, ER, header added
;-
;======================== end header ===========================================
FUNCTION db_color, name

    compile_opt IDL2

    if size(name, /TYPE) ne 7 then $
        message, 'The colour name must be a string.'

    cc =  bytarr(3) 

  
        case strupcase(name) of

            'BLACK'         :  cc[*] = [  0B,  0B,  0B]
            'WHITE'         :  cc[*] = [255B,255B,255B]
            'GREY'          :  cc[*] = [140B,140B,140B]
            'DARK GREY'     :  cc[*] = [ 70B, 70B, 70B]
            'LIGHT GREY'    :  cc[*] = [191B,191B,191B]
            'RED'           :  cc[*] = [255B,  0B,  0B]
            'DARK RED'      :  cc[*] = [127B,  0B,  0B]
            'LIGHT RED'     :  cc[*] = [255B,127B,127B]
            'GREEN'         :  cc[*] = [  0B,255B,  0B]
            'DARK GREEN'    :  cc[*] = [  0B,127B,  0B]
            'LIGHT GREEN'   :  cc[*] = [127B,255B,127B]
            'BLUE'          :  cc[*] = [  0B,  0B,255B]
            'DARK BLUE'     :  cc[*] = [  0B,  0B,127B]
            'LIGHT BLUE'    :  cc[*] = [127B,127B,255B]
            'PINK'          :  cc[*] = [255B,  0B,255B]
            'YELLOW'        :  cc[*] = [255B,255B,  0B]
            else            :  cc[*] = [  0B,  0B,  0B]	    ; Default is black

        endcase



    r=long(cc[0])
    g=long(cc[1])
    b=long(cc[2])
    return, r + 256*(g + 256*b)

END
