;+
; NAME: filter_3d_time.pro
; DIR : /fsdata/home/krijger/Idl/Cactus_svn/trunk/idl/
; PURPOSE:
;  
;  
; SAMPLE CALLING SEQUENCE:
;   newdate=filter_3d_time(data,width=width,sigma=sigma,verbose=verbose)
; INPUT:
;   data - 3D [x,y,t] datacube
;   width - number of time pixels to convolve over 
;   sigma - number of standard deviations a bad pixel has to be deviating from local average for replacement
;
; OUTPUT:
;   filtered datacuve, all datapoints more then sigma*sdev from time-neighborhood replaced with convolved avg.
;    
; REQUIREMENTS:
;   
; HISTORY:
;   Apr 30 2008 -- 09:58 by JMK - Created
; NOTE: 
;    
;-

FUNCTION filter_3d_time,data,_extra=_extra

sz=size(data,/dimens)
ndata=data
for iy=0,sz(1)-1 do for ix=0,sz(0)-1 do $
 ndata[ix,iy,*]=filter_time(reform(data[ix,iy,*]),_extra=_extra)

return,ndata
end
