;======================== header ===============================================
;+
; NAME: strnr
;
; PURPOSE:
;   This function returns the given number as a string with l characters
;   e.g. strnr(13,4) = 0013
;
; INPUTS: 
;	nr_in: the number to contert to a string
;	length: the length of the string
;
; MODIFICATION HISTORY:
;    2006/02/27, ER, Created
;    2007/08/07, ER, 4 characters in string instead of 3
;    2007/08/10, ER, give keyword length instead of fixing it to 4 charachters
;    2007/12/18, ER, make length an optional parameter
;    2007/12/18, ER, define a 'format' instead of messing with numbers (Christophe)
;-
;======================== end header ===========================================
FUNCTION strnr, nr_in, length
 IF n_params() eq 1 THEN length=4	;default length

 len=string(length)
 format='(I'+len+'.'+len+')'		;I means Integer
 nr_out=string(nr_in,format=format)  

 return, nr_out

END

;old way:

; nr_in=LONG(nr_in)
; nr_out=STRMID(STRTRIM(nr_in+10L^length,2),1,length)
; drawback of this method is that maximum length is 9 characters
