;======================== header ===============================================
;+
; NAME:
;   var
; PURPOSE:
;   collects certain variables.
; CATEGORY:
;   cactus / only to be used when changing variables
; CALLING SEQUENCE:
;   (meant to be used in batchmode)
; CALLS:
;   cactus_settings (to define dir)
; TO DO:
;
; MODIFICATION HISTORY:
;   2002, ver 1.00, David Berghmans
;   -------------   version 2.0.0 frozen here   -----------
;   2006/02/20, ER, cactus catalog structure added  
;   2008/03/24, ER, cactusindex adapted according to LASCO/SECCHI structure
;   2008/04/10, ER, add obsrvtry, instrument and detector information to cactuscatalog
;- 
;======================== end header ===========================================
PRO var

cactus_settings
dir=!cactus

 ; -----------------------main code----------------------------------------

 ; create short index for cactus-polartransformed images

   cactusindex=create_struct('filename',   ' ',$
                             'detector',   ' ',$
                             'instrume',   ' ',$
                             'obsrvtry',   ' ',$
			     'origin',	   ' ',$  ;  NRL / NASA / ...
                             'date_obs',   ' ',$
	   	             'time_obs',   ' ',$
		             'obstime',    0.0d,$
		             'expfac',     ' ', $
		             'ncosmics',   ' ', $
		             'nmissblk',   0, $
		             'minradius',  0.0, $
		             'maxradius',  0.0, $
			     'rotation',   0 )
			     
   save, filename=dir.var+'cactusindex.sav',cactusindex
  ;------------------------------------------------------------------------
		       
   julstart =  anytim2jd('1996/01/01 00:00:00.000') ; julian day number to which obstime is offset
   save, filename=dir.var+'julstart.sav',julstart
 
  ;------------------------------------------------------------------------
   
  
   ; the boundaries of the fov in the radial direction in the original 
   ; 1024x1024 images, measured in CCD pixels from (xc, yc) mentioned in the
   ; header. (eg minradius should be slightly larger than the radius f the
   ; occultor)

   minradius_c2= 174
   maxradius_c2= 550
   minradius_c3= 69
   maxradius_c3= 550
   minradius_cor2=210
   maxradius_cor2=1020

   save, filename=dir.var+'fov.sav', minradius_c2,maxradius_c2,minradius_c3,maxradius_c3, minradius_cor2,maxradius_cor2
 
  ;------------------------------------------------------------------------

;for every month a cactuscatalog structure will be created. First the cactuscatalog structure has to be restored.

       cactuscatalog=create_struct( $
                    'nr',0000,$		    
                    'date',		'1998/04/01',$
                    'time',		'00:00:00.000',$
		    'jultime',		0.0d,$
                    'dt0',		1,$
		    'enddate',         '1998/04/01',$
                    'endtime',         '00:00:00.000',$
                    'endjultime',       0.0d,$
                    'angle', 		360,$
                    'width',		360,$
                    'speed',		0500,$
                    'speedsigma',	0500,$
                    'min_speed',	0500,$
            	    'max_speed',	0500,$
		    'type',		'CME ',$
		    'quality',		1  ,$
		    'obsrvtry',		' ',$		;SOHO / STEREO-A / STEREO-B
		    'instrument',	' ', $		;LASCO / SECCHI
		    'detector', 	strarr(2)  )		;c2 / c3 / COR2
                
    save,filename=dir.var+'cactuscatalog.sav',  cactuscatalog           

  
END
